Bug 1292468 - distccd ignores /etc/distcc/clients.allow
distccd ignores /etc/distcc/clients.allow
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: distcc (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-17 09:27 EST by Vedran Miletić
Modified: 2017-08-08 10:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:34:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vedran Miletić 2015-12-17 09:27:15 EST
Uncommenting 127.0.0.1 in /etc/distcc/clients.allow and running distccd results in:

$ systemctl status distccd.service 
● distccd.service - Distccd A Distributed Compilation Server
   Loaded: loaded (/usr/lib/systemd/system/distccd.service; enabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since Thu 2015-12-17 15:24:35 CET; 49s ago
  Process: 29277 ExecStart=/usr/bin/distccd --verbose --no-detach --daemon $OPTIONS (code=exited, status=101)
 Main PID: 29277 (code=exited, status=101)

Dec 17 15:24:35 fermi systemd[1]: Started Distccd A Distributed Compilation Server.
Dec 17 15:24:35 fermi systemd[1]: distccd.service: Main process exited, code=exited, status=101/n/a
Dec 17 15:24:35 fermi systemd[1]: distccd.service: Unit entered failed state.
Dec 17 15:24:35 fermi systemd[1]: distccd.service: Failed with result 'exit-code'.

$ journalctl | grep distccd
Dec 17 15:24:35 fermi distccd[29277]: (main) ERROR: --allow option is now mandatory; you must specify which clients are allowed to connect
Dec 17 15:24:35 fermi distccd[29277]: (dcc_exit) exit: code 101; self: 0.000903 user 0.003615 sys; children: 0.000000 user 0.000000 sys
Dec 17 15:24:35 fermi systemd[1]: distccd.service: Main process exited, code=exited, status=101/n/a
Dec 17 15:24:35 fermi systemd[1]: distccd.service: Unit entered failed state.

The workaround is to use /etc/sysconfig/distccd, but it would be nice if clients.allow worked as it should.
Comment 1 Jan Kurik 2016-02-24 09:09:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Adam Hunt 2016-07-07 13:09:47 EDT
I just ran into this same issue. 

Jul 07 10:03:05 drogon systemd[1]: Started Distccd A Distributed Compilation Server.
-- Subject: Unit distccd.service has finished start-up
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit distccd.service has finished starting up.
-- 
-- The start-up result is done.
Jul 07 10:03:05 drogon audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=distccd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Jul 07 10:03:05 drogon distccd[7994]: (main) ERROR: --allow option is now mandatory; you must specify which clients are allowed to connect
Jul 07 10:03:05 drogon distccd[7994]: (dcc_exit) exit: code 101; self: 0.000000 user 0.006238 sys; children: 0.000000 user 0.000000 sys
Jul 07 10:03:05 drogon systemd[1]: distccd.service: Main process exited, code=exited, status=101/n/a
Jul 07 10:03:05 drogon audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=distccd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
Jul 07 10:03:05 drogon audit[7925]: USER_END pid=7925 uid=0 auid=4294967295 ses=4294967295 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:session_close grantors=pam_keyinit,pam_limits,pam_keyinit,pam_limits,pam_systemd,pam_unix ac
Jul 07 10:03:05 drogon sudo[7925]: pam_unix(sudo:session): session closed for user root
Jul 07 10:03:05 drogon audit[7925]: CRED_DISP pid=7925 uid=0 auid=4294967295 ses=4294967295 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:setcred grantors=pam_unix acct="root" exe="/usr/bin/sudo" hostname=? addr=? terminal=/dev/p
Jul 07 10:03:05 drogon systemd[1]: distccd.service: Unit entered failed state.
Jul 07 10:03:05 drogon systemd[1]: distccd.service: Failed with result 'exit-code'.
Comment 3 Gwyn Ciesla 2016-07-13 12:34:19 EDT
I have a possible fix, what release and arch would you like a build for?
Comment 4 Vedran Miletić 2016-07-18 06:06:17 EDT
Using 24 right now, but having 23 fixed as well eventually would be nice. Both on x86_64.
Comment 5 Gwyn Ciesla 2016-08-31 14:52:49 EDT
Apologies for the delay, please see if this build works:

https://fedorapeople.org/~limb/distcc/
Comment 6 Gwyn Ciesla 2017-06-26 11:19:44 EDT
Did the above work?
Comment 7 Fedora End Of Life 2017-07-25 15:39:26 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2017-08-08 08:34:14 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Vedran Miletić 2017-08-08 10:46:00 EDT
(In reply to Gwyn Ciesla from comment #5)
> Apologies for the delay, please see if this build works:
> 
> https://fedorapeople.org/~limb/distcc/

Sorry, missed the e-mail. Can you provide a version for F25 or F26?
Comment 10 Gwyn Ciesla 2017-08-08 10:51:38 EDT
Done, see same URL.

Note You need to log in before you can comment on or make changes to this bug.